const path = require('path');
const HtmlWebpackPlugin = require('html-webpack-plugin');
const webpack = require('webpack');

module.exports = {
  entry:'./src/index.js',
  output:{
    filename: "main.js",
    path:path.resolve(__dirname, 'dist'),
    publicPath:'/'
  },
  mode:'development',
  devtool: 'inline-source-map',
  devServer: {
    contentBase: './dist',
    hot: true
  },
  plugins: [
    new HtmlWebpackPlugin({
      title: 'Output Management'
    })
  ],
  module: {
    rules: [
      {
        test: /\.js$/,
        use: "imports-loader?$=jquery"
      }
    ]
  }

}